Qwt User's Guide: QwtDialScaleDraw Class Reference

Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtDialScaleDraw Class Reference

`#include <qwt_dial.h>`

Inheritance diagram for QwtDialScaleDraw:
[legend]

List of all members.

## Public Member Functions
| QwtDialScaleDraw (QwtDial *)
virtual QwtText | label (double value) const
uint | penWidth () const
void | setPenWidth (uint)
Public Member Functions inherited from QwtRoundScaleDraw
| QwtRoundScaleDraw ()
| QwtRoundScaleDraw (const QwtRoundScaleDraw &)
virtual | ~QwtRoundScaleDraw ()
QPoint | center () const
virtual int | extent (const QPen &, const QFont &) const
void | moveCenter (int x, int y)
void | moveCenter (const QPoint &)
QwtRoundScaleDraw & | operator= (const QwtRoundScaleDraw &other)
int | radius () const
void | setAngleRange (double angle1, double angle2)
void | setRadius (int radius)
Public Member Functions inherited from QwtAbstractScaleDraw
| QwtAbstractScaleDraw ()
| QwtAbstractScaleDraw (const QwtAbstractScaleDraw &)
virtual | ~QwtAbstractScaleDraw ()
virtual void | draw (QPainter *, const QPalette &) const
void | enableComponent (ScaleComponent, bool enable=true)
bool | hasComponent (ScaleComponent) const
int | majTickLength () const
const QwtScaleMap & | map () const
int | minimumExtent () const
QwtAbstractScaleDraw & | operator= (const QwtAbstractScaleDraw &)
const QwtScaleDiv & | scaleDiv () const
QwtScaleMap & | scaleMap ()
void | setMinimumExtent (int)
void | setScaleDiv (const QwtScaleDiv &s)
void | setSpacing (int margin)
void | setTickLength (QwtScaleDiv::TickType, int length)
void | setTransformation (QwtScaleTransformation *)
int | spacing () const
int | tickLength (QwtScaleDiv::TickType) const

## Additional Inherited Members
Protected Member Functions inherited from QwtRoundScaleDraw
virtual void | drawBackbone (QPainter *p) const
virtual void | drawLabel (QPainter *p, double val) const
virtual void | drawTick (QPainter *p, double val, int len) const
Protected Member Functions inherited from QwtAbstractScaleDraw
void | invalidateCache ()
const QwtText & | tickLabel (const QFont &, double value) const

## Detailed Description

A special scale draw made for QwtDial.

See also:
  QwtDial, QwtCompass

## Constructor & Destructor Documentation

QwtDialScaleDraw::QwtDialScaleDraw | ( | QwtDial * | parent | ) |
| explicit

Constructor

Parameters:

  parent | Parent dial widget

## Member Function Documentation

QwtText QwtDialScaleDraw::label | ( | double | value | ) | const
| virtual

Call QwtDial::scaleLabel of the parent dial widget.

Parameters:

  value | Value to display

See also:
  QwtDial::scaleLabel()

Reimplemented from QwtAbstractScaleDraw.

uint QwtDialScaleDraw::penWidth | ( |  | ) | const

Returns:
  Pen width used for painting the scale

See also:
  setPenWidth, QwtDial::drawScale()

void QwtDialScaleDraw::setPenWidth | ( | uint | penWidth | ) |

Set the pen width used for painting the scale

Parameters:

  penWidth | Pen width

See also:
  penWidth(), QwtDial::drawScale()